%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate libssh2-sys

Name:           rust-libssh2-sys
Version:        0.3.0
Release:    2%{?dist}
Summary:        Native bindings to the libssh2 library

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/libssh2-sys
Source0:        %{crates_source}
Source1:        https://github.com/alexcrichton/ssh2-rs/raw/libssh2-sys-0.3.0/LICENSE-APACHE
Source2:        https://github.com/alexcrichton/ssh2-rs/raw/libssh2-sys-0.3.0/LICENSE-MIT
Patch:          libssh2-sys-fix-metadata-auto.diff
Patch:          libssh2-sys-fix-metadata.diff
Patch:          0001-build.rs-always-use-pkg-config.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Native bindings to the libssh2 library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libssh2)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
rm -rv libssh2/
%cargo_prep
cp -pav %{SOURCE1} %{SOURCE2} .

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(libssh2)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com>
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-1
- initial build
